Name:          libX11
Version:       1.6.5
Release:       1mamba
Summary:       X.Org X11 library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://x.org
Source:        ftp://ftp.x.org/pub/individual/lib/libX11-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kbproto-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libxcb-devel
BuildRequires: xproto-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-proto-devel >= 7.1
BuildRequires: xtrans-devel
#%ifarch x86_64
#BuildRequires: gcc-multilib
#BuildRequires: glibc-multilib-devel
#BuildRequires: lib32-libxcb-devel
#%endif
Obsoletes:     libXorg
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
X.Org X11 library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires: xorg-proto-devel >= 7.2
Requires: libXau-devel >= 1.0.3
Requires: libXdmcp-devel >= 1.0.2

%description devel
X.Org X11 library.
This package contains static libraries and header files needed for development.

%package -n lib32-libX11
Summary:       X.Org X11 library
Group:         System/Libraries

%description -n lib32-libX11
X.Org X11 library.

%package -n lib32-libX11-devel
Summary:       Devel package for lib32-libX11
Group:         Development/Libraries
Requires:      lib32-libX11 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libX11-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib32-libX11-devel
X.Org X11 library.
This package contains static libraries and header files needed for development.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%ifarch x86_64.disabled
# x86_64 lib64 support
make clean
CC=%{_target_platform}-gcc \
CFLAGS="%{optflags} -m32" \
CXXLAGS="%{optflags} -m32" \
./configure --prefix=%{_prefix} --libdir=%{_prefix}/lib
make
make install DESTDIR=`pwd`/lib32
cp -a lib32/%{_prefix}/lib %{buildroot}%{_prefix}/
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post -n lib32-%{name} -p /sbin/ldconfig
%postun -n lib32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libX11.so.*
%{_libdir}/libX11-xcb.so.*
%{_datadir}/X11/XErrorDB
#%{_datadir}/X11/XKeysymDB
%{_datadir}/X11/locale/*
%{_datadir}/X11/Xcms.txt
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/libX11.a
%{_libdir}/libX11.la
%{_libdir}/libX11.so
%{_libdir}/libX11-xcb.a
%{_libdir}/libX11-xcb.la
%{_libdir}/libX11-xcb.so
%dir %{_includedir}/X11
%{_includedir}/X11/*.h
%{_libdir}/pkgconfig/*.pc
%dir %{_docdir}/libX11
%{_docdir}/libX11/*
%{_mandir}/man3/*
%{_mandir}/man5/*
%doc ChangeLog NEWS README

%ifarch x86_64.disabled
%files -n lib32-libX11
%defattr(-,root,root)
%{_prefix}/lib/libX11.so.*
%{_prefix}/lib/libX11-xcb.so.*
#%{_prefix}/lib/X11/Xcms.txt
%doc AUTHORS COPYING

%files -n lib32-libX11-devel
%defattr(-,root,root)
%{_prefix}/lib/libX11.a
%{_prefix}/lib/libX11.la
%{_prefix}/lib/libX11.so
%{_prefix}/lib/libX11-xcb.a
%{_prefix}/lib/libX11-xcb.la
%{_prefix}/lib/libX11-xcb.so
%{_prefix}/lib/pkgconfig/*.pc
%endif

%changelog
* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic update by autodist

* Mon Mar 30 2015 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic update by autodist

* Fri Dec 13 2013 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic update by autodist

* Sat Aug 24 2013 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic update by autodist

* Tue Jun 11 2013 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 1.5.99.902-1mamba
- automatic version update by autodist

* Mon Jul 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist
- (20130410) added lib32-libX11 32 bit compatibility library

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 1.4.3-1mamba
- automatic update by autodist

* Wed Mar 23 2011 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Tue Jan 18 2011 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic update by autodist

* Mon Dec 06 2010 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.4-2mamba
- rebuilt to add pkgconfig provides

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 1.3.4-1mamba
- automatic update by autodist

* Sun Feb 21 2010 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic update by autodist

* Thu Dec 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.2-1mamba
- update to 1.3.2

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic update by autodist

* Wed Aug 05 2009 Automatic Build System <autodist@mambasoft.it> 1.2.99.901-1mamba
- automatic update by autodist

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic update by autodist

* Sat Jun 13 2009 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.5-1mamba
- update to 1.1.5

* Sat Sep 08 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1mamba
- update to 1.1.3

* Tue Jul 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2-1mamba
- update to 1.1.2

* Sat Feb 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2qilnx
- added requirements for devel package

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1qilnx
- update to version 1.1.1 by autospec

* Wed Jan 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1qilnx
- update to version 1.0.3 by autospec

* Mon Dec 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1qilnx
- package created by autospec
